import { PermissionFlagsBits, SlashCommandBuilder } from 'discord.js';
import { Command } from '.';

// const adminPermissions = new PermissionsBitField('Administrator');

export default {
  data: new SlashCommandBuilder()
    .setName('throw_chat_timestamp')
    .setDescription('throw chat timestamp')
    .setDefaultMemberPermissions(PermissionFlagsBits.Administrator),
  async execute(interaction) {

    await interaction.deferReply({ ephemeral: true })

    try {
      global.config.messageTime = 0

      await interaction.followUp("Время сброшено")
      return
    } catch (error) {
      await interaction.editReply("Ошибка сброса времени")
      console.log(error)
    }
  },
} as Command
